cascading.tuple.collect

## Interface Spillable.SpillListener

- Enclosing interface:
    Spillable

      public static interface Spillable.SpillListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Spillable.SpillListener` | `NULL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `notifyReadSpillBegin(Spillable spillable)`
    `void` | `notifyWriteSpillBegin(Spillable spillable, int spillSize, java.lang.String spillReason)`
    `void` | `notifyWriteSpillEnd(SpillableTupleList spillableTupleList, long duration)`

- - ### Field Detail

    - #### NULL

          static final Spillable.SpillListener NULL

  - ### Method Detail

    - #### notifyWriteSpillBegin

          void notifyWriteSpillBegin(Spillable spillable,
                                   int spillSize,
                                   java.lang.String spillReason)

    - #### notifyWriteSpillEnd

          void notifyWriteSpillEnd(SpillableTupleList spillableTupleList,
                                 long duration)

    - #### notifyReadSpillBegin

          void notifyReadSpillBegin(Spillable spillable)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.